package ru.micord.ervu.service;

import java.sql.Timestamp;
import java.util.List;

import ervu_lkrp_ul.ervu_lkrp_ul.db_beans.public_.tables.records.InteractionLogRecord;

/**
 * @author Eduard Tihomirov
 */
public interface InteractionService {

  List<InteractionLogRecord> get(String ervuId, String[] excludedStatuses);

  void setStatus(String fileId, String status, String fileName, String form, Timestamp timestamp, String sender, String ervuId);

  void updateStatus(String fileId, String status, String ervuId);

  void delete(String fileId, String ervuId);
}
